#!/bin/bash
VERBOSE=0
[[ 1 -eq ${VERBOSE} ]] && set -x

if [ ! -c /dev/mwv206_0 ];then
    rm -rf /usr/share/X11/xorg.conf.d/10-mwv206.conf
    exit 0
fi

if [ -e /usr/share/X11/xorg.conf.d/10-mwv206.conf.jm7200 ];then
    cp -f /usr/share/X11/xorg.conf.d/10-mwv206.conf.jm7200 /usr/share/X11/xorg.conf.d/10-mwv206.conf
fi


echo 0 > /dev/shm/mwv206_video_mode
chmod 777 /dev/shm/mwv206_video_mode

while true
do
    has_ltp=$(pgrep -x genload)
    [[ 1 -eq ${VERBOSE} ]] && echo ${has_ltp}
    if [  -n "${has_ltp}" ];then
        echo 1 > /dev/shm/mwv206_video_mode;
    else
        echo 0 > /dev/shm/mwv206_video_mode;
    fi
done

